<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Modules\OfficialAccount\Services\CustomMsgService;
class CustomSubscribePush extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'CustomSubscribePush';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '关注智能推送';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->customSubscribePush();
    }

    public function customSubscribePush(){
        CustomMsgService::SmartPush('subscribe_push');
    }
}
